Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.security.action
Class GetIntegerAction

    java.lang.Object
      edu.emory.mathcs.util.security.action.GetIntegerAction

All Implemented Interfaces:
  java.security.PrivilegedAction

public class GetIntegerAction
extends java.lang.Object
implements java.security.PrivilegedAction

A convenience class for retrieving the integer value of a system property as a privileged action.

See Also:
  `PrivilegedAction`, `AccessController`

Constructor Summary
`GetIntegerAction(java.lang.String prop)` Constructor that takes the name of the system property whose integer value needs to be determined.
`GetIntegerAction(java.lang.String prop, int defaultVal)` Constructor that takes the name of the system property and a default value to use when property is not set.

Method Summary
`java.lang.Object` | `run()` Determines the integer value of the system property whose name was specified in the constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetIntegerAction

    public GetIntegerAction(java.lang.String prop)

  Constructor that takes the name of the system property whose integer value needs to be determined.

Parameters:
  `prop` - the name of the system property

### GetIntegerAction

    public GetIntegerAction(java.lang.String prop,
                            int defaultVal)

  Constructor that takes the name of the system property and a default value to use when property is not set.

Parameters:
  `prop` - the name of the system property
  `defaultVal` - the default value

Method Detail

### run

    public java.lang.Object run()

  Determines the integer value of the system property whose name was specified in the constructor.

  If there is no property of the specified name, or if the property does not have the correct numeric format, then an `Integer` object representing the default value that was specified in the constructor is returned, or `null` if no default value was specified.

  Specified by:
    `run` in interface `java.security.PrivilegedAction`
  Returns:
    the `Integer` value of the property

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD